/**
 * XValidator.java
 *
 * File generated from the XValidationReport1::XValidator uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.xvalidation.core.report;

// End of user code
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;

import org.w3c.dom.Node;

/**
 * Description of the class XValidator.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CrossValidator", propOrder = { "name", "version", "affinityDomain" })
@XmlRootElement(name = "CrossValidator")
public class CrossValidatorDescription implements java.io.Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@XmlAttribute(name = "name", required = true)
	private String name;
	@XmlAttribute(name = "version", required = true)
	private String version;
	@XmlAttribute(name = "affinityDomain", required = true)
	private String affinityDomain;

	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node xmlNodePresentation;

	public CrossValidatorDescription() {
		super();
	}

	public CrossValidatorDescription(String name2, String version2, String affinityDomain2) {
		super();
		this.name = name2;
		this.version = version2;
		this.affinityDomain = affinityDomain2;
	}

	/**
	 * Return name.
	 * 
	 * @return name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Set a value to attribute name.
	 * 
	 * @param name
	 *            .
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Return version.
	 * 
	 * @return version
	 */
	public String getVersion() {
		return version;
	}

	/**
	 * Set a value to attribute version.
	 * 
	 * @param version
	 *            .
	 */
	public void setVersion(String version) {
		this.version = version;
	}

	public Node getXmlNodePresentation() {
		if (xmlNodePresentation == null) {
			xmlNodePresentation = ObjectFactory.getXmlNodePresentation("", "CrossValidator", this);
		}
		return xmlNodePresentation;
	}

	public void setXmlNodePresentation(Node xmlNodePresentation) {
		this.xmlNodePresentation = xmlNodePresentation;
	}

	public String getAffinityDomain() {
		return affinityDomain;
	}

	public void setAffinityDomain(String affinityDomain) {
		this.affinityDomain = affinityDomain;
	}

}